<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Task 30.35</title>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" />
    <style>
        .divd-background-picture {
            background-image: url("coffee.jpg");
            height: 100%;
            background-position: center;
            background-repeat: no-repeat;
            background-size: cover;
            opacity: 0.6;
        }
    </style>

<body>
    <div class="container-fluid divd-background-picture">
        <form action="#" id="form-login" method="post">
            <div class="row d-flex align-items-center min-vh-100">
                <div class="col-sm-4 text-center mx-auto my-0 jumbotron">
                    <div class="mb-5">
                        <h3>Sign up</h3>
                    </div>
                    <div class="form-group">
                        <p class="hint-text">Please fill in this form to create account!</p>
                    </div>
                    <div class="form-group">
                        <hr>
                    </div>
                    <div class="form-group">
                        <div class="row">
                            <div class="col">
                                <input type="text" name="firstname" placeholder="First Name" id="inp-firstname"
                                    class="form-control" value="" autocomplete="firstname">
                            </div>
                            <div class="col">
                                <input type="text" name="lastname" placeholder="Last Name" id="inp-lastname"
                                    class="form-control" value="" autocomplete="lastname">
                            </div>
                        </div>
                    </div>
                    <div class="form-group">
                        <input type="email" name="email" placeholder="Your Email" id="inp-email" class="form-control"
                            value="" autocomplete="inp-current-password">
                    </div>
                    <div class="form-group">
                        <input type="password" name="password" placeholder="Password" id="inp-password"
                            class="form-control" value="" autocomplete="inp-current-password">
                    </div>
                    <div class="form-group">
                        <input type="password" name="confirm password" placeholder="Confirm password"
                            id="inp-confirm-password" class="form-control" value="" autocomplete="inp-current-password">
                    </div>
                    <div style="margin: 20px;">
                        <input type="checkbox" id="checkbox-confirm-accept" /> I accept the
                        <a href="#">Terms of Use</a> &amp;
                        <a href="#">Privacy Policy</a>
                        <p id="p-agree-feedback" class="invalid-feedback">You must accpet before submitting</p>
                    </div>
                    <div class="form-group">
                        <button class="btn  btn-lg btn-primary" id="btn-sign-up">Sign up</button>
                    </div>
                    <div style="margin-top: 50px;">
                        Have already an account?
                        <a href="#">Login here</a>
                    </div>
                </div>
            </div>
        </form>
    </div>
</body>
<script>
    "use strict";
    /*** Region 1 - Global vasiables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
    var gFirstName = $("#inp-firstname");
    var gLastName = $("#inp-lastname");
    var gYourEmail = $("#inp-email");
    var gPassword = $("#inp-password");
    var gConfirmPass = $("#inp-confirm-password");
    var gCheckBox = $("#checkbox-confirm-accept");
    /*** Region 2 - Vùng gán/gọi hàm xử lý sự kiện cho các element */
    $(document).ready(function () {
        $("#btn-sign-up").on("click", onBtnSignUpClick);
    })
    /*** Region 3 - Event handlers - Vùng khai báo các hàm sử lý sự kiện */
    function onBtnSignUpClick() {
        debugger;
        var vObjUser = {
            firstName: "",
            lastName:"",
            yourEmail: "",
            password: "",
            confirmPassword: "",
            accept: false
        }
        //1: Get data
        getInputData(vObjUser);
        //2: Check data
        var vValid = checkInputData(vObjUser);
        if (vValid) {
            showDataUser(vObjUser);
        }
    }
    /*** Region 4 - Common functions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình */
    //function get data
    function getInputData(paramObjUser) {
        paramObjUser.firstName = gFirstName.val();
        paramObjUser.lastName = gLastName.val();
        paramObjUser.yourEmail = gYourEmail.val();
        paramObjUser.password = gPassword.val();
        paramObjUser.confirmPassword = gConfirmPass.val();
        paramObjUser.accept = gCheckBox.is(":checked");
    }
    //function check data
    function checkInputData(paramObjUser) {
        var vRegexStr = /^[^\s@]+@[^\s@]+\.[^\s@]+$/;
        if (paramObjUser.firstName == "") {
            alert("Nhập firstname của bạn!");
            return false;
        }
        if (paramObjUser.lastName == "") {
            alert("Nhập lastname của bạn!");
            return false;
        }
        if (paramObjUser.yourEmail == "") {
            alert("Nhập email của bạn!");
            return false;
        }
        if (!vRegexStr.test(paramObjUser.yourEmail)) {
            alert("Email sai định dạng!");
            return false;
        }
        if (paramObjUser.password == "") {
            alert("Nhập password!");
            return false;
        }
        if (paramObjUser.password != paramObjUser.confirmPassword) {
            alert("Không giống password đã nhập!");
            return false;
        }
        if (!paramObjUser.accept) {
            $("#p-agree-feedback").css("display", "block");
            alert("You must accpet before submitting.");
            return false;
        } else {
            $("#p-agree-feedback").css("display", "none");
        }
        return true;
    }
    //function show data user
    function showDataUser(paramObjUser) {
        console.log("First Name: " + paramObjUser.firstName);
        console.log("Last Name: " + paramObjUser.lastName);
        console.log("Email: " + paramObjUser.yourEmail);
        console.log("Password: " + paramObjUser.password);
        console.log("Repeat password: " + paramObjUser.repeatPassword);
        console.log("I accept: " + paramObjUser.accept);
    }
</script>

</html>